<?php
/*****************************************************************************
 * Copyright (C) 2014-2017
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

require_once('utilities.php');


$answer = send_cmd("LIST LOG ".$_GET["unit"]);
$arr = explode("\r\n", $answer);


$row = '[';

/* We don't use json_encode because it doesn't work for our purpose */
if (startsWith($arr[0], "212")) {
    $j = 1;
    while (1) {
	if (strcmp($arr[$j], ".") == 0)
		break;
	if ($j > 1)
	    $row .= ',';
	$f = explode(",", $arr[$j]);
	$reply = array (
	    'Date'      => $f[0],
	    'Mode'      => $f[1],
	    'Air'       => $f[2],
	    'Beer'      => $f[3],
	    'Target_lo' => $f[4],
	    'Heater'    => $f[5] / 100,
	    'Cooler'    => $f[6] / 100,
	    'HeatUse'   => $f[7],
	    'CoolUse'   => $f[8],
	    'Room'      => $f[9],
	    'Target_hi' => $f[10]
	);
	$row .= json_encode($reply, JSON_NUMERIC_CHECK);
	$j++;
    }
}

$row .= ']';
echo $row;

?>
